Jump to content


Photo

WHY is bootloader updates needed for some VU+ models ?


  • Please log in to reply
9 replies to this topic

#1 jakas

  • Senior Member
  • 422 posts

+2
Neutral

Posted 6 January 2012 - 07:01

Some duos needed that bootloader update some dont . Same I see with solo so whats up ?
The Uno needed a FGPA upgrade but thats different.
Do all duos need an bootloader update when updating to the latest PLI image ?

Re: WHY is bootloader updates needed for some VU+ models ? #2 jakas

  • Senior Member
  • 422 posts

+2
Neutral

Posted 6 January 2012 - 07:59

So what is it then Update bootloader first and then install new image or vice versa ?

Re: WHY is bootloader updates needed for some VU+ models ? #3 neku

  • Senior Member
  • 181 posts

+2
Neutral

Posted 6 January 2012 - 08:35

All duos / solos needed a bootloader update because of the new filesystem.

Re: WHY is bootloader updates needed for some VU+ models ? #4 jakas

  • Senior Member
  • 422 posts

+2
Neutral

Posted 6 January 2012 - 08:52

So what is it then Update bootloader first and then install new image or vice versa ?

Re: WHY is bootloader updates needed for some VU+ models ? #5 Pedro_Newbie

  • Senior Member
  • 4,631 posts

+225
Excellent

Posted 6 January 2012 - 09:18

First the bootloader then the image

(null)

Re: WHY is bootloader updates needed for some VU+ models ? #6 jakas

  • Senior Member
  • 422 posts

+2
Neutral

Posted 6 January 2012 - 09:28

thanks Pedro

Re: WHY is bootloader updates needed for some VU+ models ? #7 Pale-Rider

  • Senior Member
  • 126 posts

+6
Neutral

Posted 7 January 2012 - 12:45

All duos / solos needed a bootloader update because of the new filesystem.


not quite correct. the Duo bootloader simply allowed you to use images over 64MB in size and was released well before the Linux 3.1.1 kernel was even conceived to be used on these boxes, The solo bootloader however was written specifically to allow the kernel to run on those boxes. saying that it is a mystery why some Duo's fare better with the bootloader and some dont need it at all.

Re: WHY is bootloader updates needed for some VU+ models ? #8 Pale-Rider

  • Senior Member
  • 126 posts

+6
Neutral

Posted 7 January 2012 - 12:57

Some duos needed that bootloader update some dont . Same I see with solo so whats up ?
The Uno needed a FGPA upgrade but thats different.
Do all duos need an bootloader update when updating to the latest PLI image ?


Just to clear things up the FPGA upgrade is a means to programe the chip that controls the tuner card, fixing many problems such as the SR 30,000 problem no bootloader is required for use with the 3.1.1 kernel on this receiver.

Edited by pheonix-vix, 7 January 2012 - 12:57.


Re: WHY is bootloader updates needed for some VU+ models ? #9 Rob van der Does

  • Senior Member
  • 7,738 posts

+184
Excellent

Posted 7 January 2012 - 14:18


All duos / solos needed a bootloader update because of the new filesystem.

not quite correct. the Duo bootloader simply allowed you to use images over 64MB in size and was released well before the Linux 3.1.1 kernel was even conceived to be used on these boxes, The solo bootloader however was written specifically to allow the kernel to run on those boxes. saying that it is a mystery why some Duo's fare better with the bootloader and some dont need it at all.

Not quite correct either:
The new bootloader was announced by VU+ as needed to install images > 64 MB. At that time VU+ introduced the webbrower, integrated in their OI-image, that made the image just over 64MB.
But at that time VU+ was also in the process of upgrading to the Linux 3.1.1 kernel, although not officially announced by then. So they also prepared the bootloader to be ready for that.

Long story short: the DUO needs the latest bootloader in order to be able to flash the 3.1.1 kernel based image.
But as the bootloader was released long before, chances are that most users have already done that upgrade some time ago.

Re: WHY is bootloader updates needed for some VU+ models ? #10 jakas

  • Senior Member
  • 422 posts

+2
Neutral

Posted 7 January 2012 - 16:31

updated duo bootloader and then 7-1-2012 update working fine

Edited by jakas, 7 January 2012 - 16:35.





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users